/* 
   ORSA - Orbit Reconstruction, Simulation and Analysis
   Copyright (C) 2002-2003 Pasquale Tricarico
   
   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

*/

#ifndef _ORSA_ANALYSIS_H_
#define _ORSA_ANALYSIS_H_

namespace orsa {
  
  class WindowParameters {
  public:
    WindowParameters() : window_amplitude(0), window_start(0), window_step(0) {}
    
  public:
    double window_amplitude;
    double window_start;
    double window_step;
  };
  
  class Analysis {
    
  public:
    virtual ~Analysis() {};
    
  };
  
  // derived classes
  
  // Lyapunov
  class Lyapunov : public Analysis {};
  
  // Mean Motion Resonance
  class MeanMotionResonance : public Analysis {};
  
  // Poincare surface of section
  class PoincareSurfaceOfSection : public Analysis {};
  
} // namespace orsa

#endif // _ORSA_ANALYSIS_H_

